backintime(1)

NAME
backintime - a simple backup tool for Linux.

This is command line tool. The graphical tools are: backintime-gnome and backintime-kde4.

SYNOPSIS
backintime [ --backup | --backup-job | --snapshots-path | --snapshots-list | --snapshots-list-path | --last-snapshot | --last-snapshot-path | --help | --version | --license ]

DESCRIPTION
Back In Time is a simple backup tool for Linux. The backup is done by taking snapshots of a specified set of folders.

All you have to do is configure: where to save snapshots, what folders to backup. You can also specify a backup schedule: disabled, every 5 minutes, every 10 minutes, every hour, every day, every week, every month. To configure it use one of the graphical interfaces available (backintime-gnome or backintime-kde4).

It acts as a 'user mode' backup tool. This means that you can backup/restore only folders you have write access to (actually you can backup read-only folders, but you can't restore them).

If you want to run it as root you need to use 'su'.

A new snapshot is created only if something changed since the last snapshot (if any).

A snapshot contains all the files from the selected folders (except for exclude patterns). In order to reduce disk space it use hard-links (if possible) between snapshots for unchanged files. This way a file of 10Mb, unchanged for 10 snapshots, will use only 10Mb on the disk.

When you restore a file 'A', if it already exists on the file system it will be renamed to 'A.backup.currentdate'.

For automatic backup it use 'cron' so there is no need for a daemon, but 'cron' must be running.

  user-callback
During backup process the application can call a user callback at different steps. This callback is "$XDG_CONFIG_HOME/backintime/user-callback" (by default $XDG_CONFIG_HOME is ~/.config).

The first argument is the progile id (1=Main Profile, ...).

The second argument is the progile name.

The third argument is the reason:

    1   Backup process begins.

    2   Backup process ends.

    3   A new snapshot was taken. The extra arguments are snapshot ID and snapshot path.

    4   There was an error. The second argument is the error code.
        Error codes:

        1   The application is not configured.

        2   A "take snapshot" process is already running.

        3   Can't find snapshots folder (is it on a removable drive ?).

        4   A snapshot for "now" already exist.

OPTIONS

-b, --backup
    take a snapshot now (if needed)

--backup-job
    take a snapshot (if needed) depending on schedule rules (used for cron jobs)

--snapshots-path
    display path where is saves the snapshots (if configured)

--snapshots-list
    display the list of snapshot IDs (if any)

--snapshots-list-path
    display the paths to snapshots (if any)

--last-snapshot
    display last snapshot ID (if any)

--last-snapshot-path
    display the path to the last snapshot (if any)

-h, --help
    display a short help

-v, --version
    show version

--license
    show license

SEE ALSO
backintime-gnome, backintime-kde4.

Back In Time also has a website: http://backintime.le-web.org

AUTHOR
This manual page was written by BIT Team (<bit-team@lists.launchpad.net>).